PUT restapi/personal/pages/{elementId}/contentblocks/placement/v1
Updates the placement position of a content block within the page layout. Returns 404 if the block is not found or 403 if the user lacks permission.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| elementId |
The learning object identifier associated with the page. |
integer |
Required |
Body Parameters
The request containing the new column and sorting order values.
Itsolutions.Itslearning.Web.RestApi.Personal.Page.PageApiModels.Requests.UpdatePlacementRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| LeftColumnContentBlockIds | Collection of integer |
None. |
|
| RightColumnContentBlockIds | Collection of integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"leftColumnContentBlockIds": [
1,
2
],
"rightColumnContentBlockIds": [
1,
2
]
}
application/xml, text/xml
Sample:
<UpdatePlacementRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.RestApi.Personal.Page.PageApiModels.Requests">
<LeftColumnContentBlockIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:int>1</d2p1:int>
<d2p1:int>2</d2p1:int>
</LeftColumnContentBlockIds>
<RightColumnContentBlockIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:int>1</d2p1:int>
<d2p1:int>2</d2p1:int>
</RightColumnContentBlockIds>
</UpdatePlacementRequest>
application/x-www-form-urlencoded
Sample:
No sample available
Response Information
Resource Description
The updated content block with the new placement information.
System.Web.Http.IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.